# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"keyword": "water quality",
"last_updated": "1m",
"file_formats": [
"archive",
"image"
],
"usage_rights": "noncommercial",
"is_free": true,
"topics": [
"natural_sciences",
"geo"
]
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"file_formats": [
"archive",
"image"
],
"is_free": true,
"keyword": "water quality",
"last_updated": "1m",
"topics": [
"natural_sciences",
"geo"
],
"usage_rights": "noncommercial"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced"
payload = [
{
"file_formats": ["archive", "image"],
"is_free": True,
"keyword": "water quality",
"last_updated": "1m",
"topics": ["natural_sciences", "geo"],
"usage_rights": "noncommercial"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
file_formats: ['archive', 'image'],
is_free: true,
keyword: 'water quality',
last_updated: '1m',
topics: ['natural_sciences', 'geo'],
usage_rights: 'noncommercial'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'file_formats' => [
'archive',
'image'
],
'is_free' => true,
'keyword' => 'water quality',
'last_updated' => '1m',
'topics' => [
'natural_sciences',
'geo'
],
'usage_rights' => 'noncommercial'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced"
payload := strings.NewReader("[\n {\n \"file_formats\": [\n \"archive\",\n \"image\"\n ],\n \"is_free\": true,\n \"keyword\": \"water quality\",\n \"last_updated\": \"1m\",\n \"topics\": [\n \"natural_sciences\",\n \"geo\"\n ],\n \"usage_rights\": \"noncommercial\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"file_formats\": [\n \"archive\",\n \"image\"\n ],\n \"is_free\": true,\n \"keyword\": \"water quality\",\n \"last_updated\": \"1m\",\n \"topics\": [\n \"natural_sciences\",\n \"geo\"\n ],\n \"usage_rights\": \"noncommercial\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"file_formats\": [\n \"archive\",\n \"image\"\n ],\n \"is_free\": true,\n \"keyword\": \"water quality\",\n \"last_updated\": \"1m\",\n \"topics\": [\n \"natural_sciences\",\n \"geo\"\n ],\n \"usage_rights\": \"noncommercial\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": [
{
"check_url": "<string>",
"datetime": "<string>",
"item_types": [
"<string>"
],
"items": [
{
"area_covered": [
"<string>"
],
"authors": [
{
"domain": "<string>",
"name": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"dataset_description": {
"links": [
{
"description": "<string>",
"domain": "<string>",
"snippet": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>",
"xpath": "<string>"
}
],
"text": "<string>"
},
"dataset_id": "<string>",
"dataset_providers": [
{
"domain": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"formats": [
{
"format": "<string>",
"size": 123,
"type": "<string>"
}
],
"image_url": "<string>",
"licenses": [
{
"domain": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"links": [
{
"description": "<string>",
"domain": "<string>",
"snippet": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>",
"xpath": "<string>"
}
],
"period_covered": {
"displayed_date": "<string>",
"end_date": "<string>",
"start_date": "<string>"
},
"position": "<string>",
"rank_absolute": 123,
"rank_group": 123,
"related_article": "<string>",
"scholarly_articles_url": "<string>",
"scholarly_citations_count": 123,
"title": "<string>",
"type": "<string>",
"unique_identifier": "<string>",
"updated_date": "<string>",
"xpath": "<string>"
}
],
"items_count": 123,
"keyword": "<string>",
"language_code": "<string>",
"se_domain": "<string>",
"se_results_count": 123,
"spell": {
"keyword": "<string>",
"type": "<string>"
}
}
]
}
]
}Live Google Dataset Search Advanced
Returns datasets matching a query in Google Dataset Search on Google, synchronously.
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"keyword": "water quality",
"last_updated": "1m",
"file_formats": [
"archive",
"image"
],
"usage_rights": "noncommercial",
"is_free": true,
"topics": [
"natural_sciences",
"geo"
]
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"file_formats": [
"archive",
"image"
],
"is_free": true,
"keyword": "water quality",
"last_updated": "1m",
"topics": [
"natural_sciences",
"geo"
],
"usage_rights": "noncommercial"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced"
payload = [
{
"file_formats": ["archive", "image"],
"is_free": True,
"keyword": "water quality",
"last_updated": "1m",
"topics": ["natural_sciences", "geo"],
"usage_rights": "noncommercial"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
file_formats: ['archive', 'image'],
is_free: true,
keyword: 'water quality',
last_updated: '1m',
topics: ['natural_sciences', 'geo'],
usage_rights: 'noncommercial'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'file_formats' => [
'archive',
'image'
],
'is_free' => true,
'keyword' => 'water quality',
'last_updated' => '1m',
'topics' => [
'natural_sciences',
'geo'
],
'usage_rights' => 'noncommercial'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced"
payload := strings.NewReader("[\n {\n \"file_formats\": [\n \"archive\",\n \"image\"\n ],\n \"is_free\": true,\n \"keyword\": \"water quality\",\n \"last_updated\": \"1m\",\n \"topics\": [\n \"natural_sciences\",\n \"geo\"\n ],\n \"usage_rights\": \"noncommercial\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"file_formats\": [\n \"archive\",\n \"image\"\n ],\n \"is_free\": true,\n \"keyword\": \"water quality\",\n \"last_updated\": \"1m\",\n \"topics\": [\n \"natural_sciences\",\n \"geo\"\n ],\n \"usage_rights\": \"noncommercial\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"file_formats\": [\n \"archive\",\n \"image\"\n ],\n \"is_free\": true,\n \"keyword\": \"water quality\",\n \"last_updated\": \"1m\",\n \"topics\": [\n \"natural_sciences\",\n \"geo\"\n ],\n \"usage_rights\": \"noncommercial\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": [
{
"check_url": "<string>",
"datetime": "<string>",
"item_types": [
"<string>"
],
"items": [
{
"area_covered": [
"<string>"
],
"authors": [
{
"domain": "<string>",
"name": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"dataset_description": {
"links": [
{
"description": "<string>",
"domain": "<string>",
"snippet": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>",
"xpath": "<string>"
}
],
"text": "<string>"
},
"dataset_id": "<string>",
"dataset_providers": [
{
"domain": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"formats": [
{
"format": "<string>",
"size": 123,
"type": "<string>"
}
],
"image_url": "<string>",
"licenses": [
{
"domain": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"links": [
{
"description": "<string>",
"domain": "<string>",
"snippet": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>",
"xpath": "<string>"
}
],
"period_covered": {
"displayed_date": "<string>",
"end_date": "<string>",
"start_date": "<string>"
},
"position": "<string>",
"rank_absolute": 123,
"rank_group": 123,
"related_article": "<string>",
"scholarly_articles_url": "<string>",
"scholarly_citations_count": 123,
"title": "<string>",
"type": "<string>",
"unique_identifier": "<string>",
"updated_date": "<string>",
"xpath": "<string>"
}
],
"items_count": 123,
"keyword": "<string>",
"language_code": "<string>",
"se_domain": "<string>",
"se_results_count": 123,
"spell": {
"keyword": "<string>",
"type": "<string>"
}
}
]
}
]
}keyword, type, se_domain, location_code, language_code, check_url, datetime, spell, refinement_chips, item_types, items_count and items. Measured at 57 KB for a ten-result Google query. ⚠️ Three result depths exist for the same query and differ by two orders of magnitude: regular measured 4.8 KB, advanced 57 KB, and html 2.4 MB. advanced is the default choice; take regular when only the ranked list matters and html only to check what the parser dropped. Wrapped in DataForSEO’s envelope: data in tasks[0].result, outcome in tasks[0].status_code - a rejected request still returns HTTP 200.
Example
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"keyword": "...", "language_name": "...", "language_code": "..."}]'
// Copy this whole block into Claude Code, Codex, Cursor or any coding agent.
// It carries everything needed to connect, authorize and run this example —
// no key to paste, one click of Allow in the browser.
{
"calls": [
{
"call_id": "1",
"tool": "post_dataforseo_serp_google_dataset_search_live",
"arguments": {}
}
]
}
// ── for the agent ─────────────────────────────────────────────────────────
// Register the AIsa MCP server, then call its `batch_quote` tool with the JSON above.
// name aisa
// endpoint https://mcp.aisa.one/mcp
// transport streamable-http
// auth OAuth. The server publishes RFC 9728 metadata, so open a
// browser and the user clicks Allow once — nothing to paste.
// If AISA_API_KEY is set, send it as a bearer header instead.
// Use your own MCP mechanism, not a hand-edited config file:
// Codex codex mcp add aisa --url https://mcp.aisa.one/mcp
// Claude Code claude mcp add --transport http -s user aisa https://mcp.aisa.one/mcp
// Cursor / VS Code a "url" entry for https://mcp.aisa.one/mcp in the MCP config
// The server reaches https://mcp.aisa.one/servers worth of APIs through a few meta
// tools: search, list_categories, get_details, batch_quote, batch_use.
// search, get_details and batch_quote are free; batch_use is billed per
// call. This operation's full contract — every argument, the response
// shape, the price and the pitfalls — is at
// https://aisa.one/docs/api-reference/dataforseo/post_dataforseo-serp-google-dataset-search-live-advanced.md
// Show me the quoted cost. Once I approve, run the same calls with
// batch_use and show me the result.
https://mcp.aisa.one/mcp — Claude
Code, Codex, Cursor, VS Code and the rest. Authorization is OAuth: the client
opens a browser, you click Allow once, and there is no key to paste. Your
agent then reaches every endpoint through a few meta tools: search,
list_categories, get_details and batch_quote are free, batch_use is
billed per call. Setup per client is in
Connect via MCP; the live tool list and what each call
costs are on aisa.one/mcp.Request contract
- Method and path: POST /apis/v1/dataforseo/serp/google/dataset_search/live/advanced
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/live/advanced - Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "post_dataforseo_serp_google_dataset_search_live",
"method": "POST",
"path": "/apis/v1/dataforseo/serp/google/dataset_search/live/advanced",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"example": [
{
"file_formats": [
"archive",
"image"
],
"is_free": true,
"keyword": "water quality",
"last_updated": "1m",
"topics": [
"natural_sciences",
"geo"
],
"usage_rights": "noncommercial"
}
],
"items": {
"oneOf": [
{
"properties": {
"depth": {
"description": "<p><em>parsing depth</em><p>optional field<p>number of results in SERP<p>default value: <code>20</code><p>max value: <code>200</code></p><br><strong>Your account will be billed per each SERP containing up to 20 results;</strong><p>Setting depth above 20 may result in additional charges if the search engine returns more than 20 results;<p>If the specified depth is higher than the number of results in the response, the difference will be refunded to your account balance automatically.",
"type": [
"integer",
"null"
]
},
"device": {
"description": "<p><em>device type</em><p>optional field<p>return results for a specific device type<p>possible value: <code>desktop</code></p>",
"type": [
"string",
"null"
]
},
"file_formats": {
"description": "<p><em>file formats of the dataset</em><p>optional field<p>possible values: <code>other</code>, <code>archive</code>, <code>text</code>, <code>image</code>, <code>document</code>, <code>tabular</code></p>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"is_free": {
"description": "<p><em>indicates whether displayed datasets are free</em><p>optional field<p>possible values: <code>true</code>, <code>false</code></p>",
"type": [
"boolean",
"null"
]
},
"keyword": {
"description": "<p><em>keyword</em><p><strong>required field</strong><p>you can specify <strong>up to 700 characters</strong> in the <code>keyword</code> field<p>all %## will be decoded (plus character ‘+’ will be decoded to a space character)<p>if you need to use the “%” character for your <code>keyword</code>, please specify it as “%25”;<p>if you need to use the “+” character for your <code>keyword</code>, please specify it as “%2B”;</p><br><p>learn more about rules and limitations of <code>keyword</code> and <code>keywords</code> fields in DataForSEO APIs in this <a href=\"https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis\" rel=\"noopener noreferrer\" target=\"_blank\">Help Center article</a></p>",
"type": "string"
},
"language_code": {
"description": "<p><em>search engine language code</em><p>optional field if you don't specify <code>language_name</code><p>if you use this field, you don't need to specify <code>language_name</code><p>possible value:<p><code class=\"long-string\">en</code></p>",
"type": [
"string",
"null"
]
},
"language_name": {
"description": "<p><em>full name of search engine language</em><p>optional field<p>if you use this field, you don't need to specify <code>language_code</code><p>possible value:<p><code class=\"long-string\">English</code></p>",
"type": [
"string",
"null"
]
},
"last_updated": {
"description": "<p><em>last time the dataset was updated</em><p>optional field<p>possible values: <code>1m</code>, <code>1y</code>, <code>3y</code></p>",
"type": [
"string",
"null"
]
},
"os": {
"description": "<p><em>device operating system</em><p>optional field<p>choose from the following values: <code>windows</code>, <code>macos</code><p>default value: <code>windows</code></p>",
"type": [
"string",
"null"
]
},
"tag": {
"description": "<p><em>user-defined task identifier</em><p>optional field<p><em>the character limit is 255</em><p>you can use this parameter to identify the task and match it with the result<p>you will find the specified <code>tag</code> value in the <code>data</code> object of the response</p>",
"type": [
"string",
"null"
]
},
"topics": {
"description": "<p><em>dataset topics</em><p>optional field<p>possible values: <code>humanities</code>, <code>social_sciences</code>, <code>life_sciences</code>, <code>agriculture</code>, <code>natural_sciences</code>, <code>geo</code>, <code>computer</code>, <code>architecture_and_urban_planning</code>, <code>engineering</code></p>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"usage_rights": {
"description": "<p><em>usage rights of the dataset</em><p>optional field<p>possible values: <code>commercial</code>, <code>noncommercial</code></p>",
"type": [
"string",
"null"
]
}
},
"type": "object"
}
],
"type": [
"object",
"null"
]
},
"type": "array"
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.02,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.02 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.02
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
parsing depth
optional field
number of results in SERP
default value: 20
max value: 200
Your account will be billed per each SERP containing up to 20 results;
Setting depth above 20 may result in additional charges if the search engine returns more than 20 results;
If the specified depth is higher than the number of results in the response, the difference will be refunded to your account balance automatically.
device type
optional field
return results for a specific device type
possible value: desktop
file formats of the dataset
optional field
possible values: other, archive, text, image, document, tabular
indicates whether displayed datasets are free
optional field
possible values: true, false
keyword
required field
you can specify up to 700 characters in the keyword field
all %## will be decoded (plus character ‘+’ will be decoded to a space character)
if you need to use the “%” character for your keyword, please specify it as “%25”;
if you need to use the “+” character for your keyword, please specify it as “%2B”;
learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article
search engine language code
optional field if you don't specify language_name
if you use this field, you don't need to specify language_name
possible value:
en
full name of search engine language
optional field
if you use this field, you don't need to specify language_code
possible value:
English
last time the dataset was updated
optional field
possible values: 1m, 1y, 3y
device operating system
optional field
choose from the following values: windows, macos
default value: windows
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
dataset topics
optional field
possible values: humanities, social_sciences, life_sciences, agriculture, natural_sciences, geo, computer, architecture_and_urban_planning, engineering
usage rights of the dataset
optional field
possible values: commercial, noncommercial
[
{
"file_formats": ["archive", "image"],
"is_free": true,
"keyword": "water quality",
"last_updated": "1m",
"topics": ["natural_sciences", "geo"],
"usage_rights": "noncommercial"
}
]
Response
Successful operation
total tasks cost, USD
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
total execution time, seconds
the current version of the API
array of tasks
Show child attributes
Show child attributes